package projectzombie.input.types;

import gl_engine.vec.Vec2d;

public interface Input
{
	public void type(char character);
	public void move(boolean state, double angle);
	public void fire(boolean state);
	public void camera(boolean state, double amount);
	public void itemAction(boolean state);
	public void itemDrop(boolean state);
	public void pause(boolean state);
	public void hotbarGoto(boolean state, int pos);
	public void hotbarShift(boolean state, int amount);
	public void back(boolean state);
	public void activate(boolean state);
	public void openInventory();
	public void key(int key);
	public void keyCtrl(int key);
}
